#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
    int N;
    int pos=0;
    int broj=0;
    cin >> N;
    vector<int> X(N);
    vector<int> Y(N);
    vector<int> Z(N);
    for(int i=0;i<N;i++)
        cin>>X[i];
    for(int i=0;i<N;i++)
        cin>>Y[i];
    for(int i=0;i<N;i++)
        cin>>Z[i];

    for(int i=0;i<N;i++)
        for(int j=0;j<N;j++)
            if(X[i]==Y[j])
            {
                pos=j+1;
                for(int k=0;k<N;k++)
                    if(Z[k]==pos)
                        broj++;
            }
    cout << broj;
    return 0;